## graphite2 1.2.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0 FATAL_ERROR)
cmake_policy(SET CMP0012 NEW)
include(TestBigEndian)

project(graphite2)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})
if (NOT CMAKE_BUILD_TYPE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY VALUE Release)
endif (NOT CMAKE_BUILD_TYPE)
#if (CMAKE_BUILD_TYPE STREQUAL ClangASN)
#    add_definitions(-fsanitize=address -fno-omit-frame-pointer)
#    set_property(CACHE CMAKE_C_COMPILER PROPERTY VALUE clang)
#    set_property(CACHE CMAKE_CXX_COMPILER PROPERTY VALUE clang)
#endif (CMAKE_BUILD_TYPE STREQUAL ClangASN)

enable_language(CXX C)

include_directories(${PROJECT_SOURCE_DIR}/include)

enable_testing()

set(GRAPHITE2_VM_TYPE auto CACHE STRING "Choose the type of vm machine: Auto, Direct or Call.")
option(GRAPHITE2_NSEGCACHE "Compile out the gr_*_with_seg_cache APIs")
option(GRAPHITE2_NFILEFACE "Compile out the gr_make_file_face* APIs")
option(GRAPHITE2_NTRACING "Compile out log segment tracing capability")
option(GRAPHITE2_TELEMETRY "Add memory usage telemetry")
option(GRAPHITE2_ASAN "Enable Address Sanitizing")


message(STATUS "Build: " ${CMAKE_BUILD_TYPE})
string(REPLACE "ON" "disabled" _SEGCACHE_SUPPORT ${GRAPHITE2_NSEGCACHE})
string(REPLACE "OFF" "enabled" _SEGCACHE_SUPPORT ${_SEGCACHE_SUPPORT})
string(REPLACE "ON" "disabled" _FILEFACE_SUPPORT ${GRAPHITE2_NFILEFACE})
string(REPLACE "OFF" "enabled" _FILEFACE_SUPPORT ${_FILEFACE_SUPPORT})
string(REPLACE "ON" "disabled" _TRACING_SUPPORT ${GRAPHITE2_NTRACING})
string(REPLACE "OFF" "enabled" _TRACING_SUPPORT ${_TRACING_SUPPORT})
message(STATUS "Segment Cache support: " ${_SEGCACHE_SUPPORT})
message(STATUS "File Face support: " ${_FILEFACE_SUPPORT})
message(STATUS "Tracing support: " ${_TRACING_SUPPORT})

if (GRAPHITE2_ASAN)
    add_definitions(-fsanitize=address -fno-omit-frame-pointer -g)
    find_program(ASAN_SYMBOLIZER llvm-symbolizer
            PATHS "/usr/lib" "/usr/local/lib"
            PATH_SUFFIXES "llvm-3.3/bin" "llvm-3.4/bin" "llvm-3.5/bin")
endif (GRAPHITE2_ASAN)

string(TOLOWER ${GRAPHITE2_VM_TYPE} GRAPHITE2_VM_TYPE)
if (NOT GRAPHITE2_VM_TYPE MATCHES "auto|direct|call")
    message(SEND_ERROR "unrecognised vm machine type: ${GRAPHITE2_VM_TYPE}. Only Auto, Direct or Call are available")
endif (NOT GRAPHITE2_VM_TYPE MATCHES "auto|direct|call")
if (GRAPHITE2_VM_TYPE STREQUAL "auto")
    if (CMAKE_BUILD_TYPE MATCHES "[Rr]el(ease|[Ww]ith[Dd]eb[Ii]nfo)")
        set(GRAPHITE2_VM_TYPE "direct")
    else(CMAKE_BUILD_TYPE MATCHES "[Rr]el(ease|[Ww]ith[Dd]eb[Ii]nfo)")
        set(GRAPHITE2_VM_TYPE "call")
    endif(CMAKE_BUILD_TYPE MATCHES "[Rr]el(ease|[Ww]ith[Dd]eb[Ii]nfo)")
endif (GRAPHITE2_VM_TYPE STREQUAL "auto")
if (GRAPHITE2_VM_TYPE STREQUAL "direct" AND NOT (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
    message(WARNING "vm machine type direct can only be built using GCC")
    set(GRAPHITE2_VM_TYPE "call")
endif (GRAPHITE2_VM_TYPE STREQUAL "direct" AND NOT (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
message(STATUS "Using vm machine type: ${GRAPHITE2_VM_TYPE}")

add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(doc)
if (NOT (GRAPHITE2_NSEGCACHE OR GRAPHITE2_NFILEFACE))
    add_subdirectory(gr2fonttest)
endif (NOT (GRAPHITE2_NSEGCACHE OR GRAPHITE2_NFILEFACE))

set(version 3.0.1)
set(libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
set(includedir ${CMAKE_INSTALL_PREFIX}/include)

configure_file(graphite2.pc.in graphite2.pc)

install(FILES ${PROJECT_BINARY_DIR}/graphite2.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig)

=== tests/comparerenderer/CMakeLists.txt ===
project(comparerenderer)

find_path(ICU_INCLUDE NAMES unicode/utypes.h 
	PATHS /usr/local/include /usr/include ${PROJECT_SOURCE_DIR}/../../../icu/source/common
	DOC "Include directory for the ICU library")
find_path(ICU_LAYOUT_INCLUDE NAMES layout/LETypes.h
	PATHS /usr/local/include /usr/include ${PROJECT_SOURCE_DIR}/../../../icu/source
	DOC "Include directory for the ICU layout engine")
find_path(ICU_LIBRARY_PATH NAMES icuuc${CMAKE_LINK_LIBRARY_SUFFIX} 
	${CMAKE_SHARED_LIBRARY_PREFIX}icuuc${CMAKE_SHARED_LIBRARY_SUFFIX} cygicuuc cygicuuc32
	PATHS /usr/local/lib /usr/lib ${PROJECT_SOURCE_DIR}/../../../icu/source/lib
	DOC "Libraries to link against for the common parts of ICU")

set(ICULE)
if (${ICU_INCLUDE} STREQUAL "ICU_INCLUDE-NOTFOUND")
	set(ICU_FOUND 0)
	set(ICU_INCLUDE_DIRS) 
	set(ICU_LDFLAGS)
	set(ICU_LIBRARY_PATH)
else (${ICU_INCLUDE} STREQUAL "ICU_INCLUDE-NOTFOUND")
    set(ICU_FOUND 1)
    file(GLOB ICULE icule/*.cpp icule/*.h)
    add_definitions(-DHAVE_ICU)
    set(ICU_INCLUDE_DIRS "${ICU_INCLUDE}" "${ICU_LAYOUT_INCLUDE}")
    link_directories(${ICU_LIBRARY_PATH})
    if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
        set(ICU_LDFLAGS icule icuuc icudt)
    else (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
        set(ICU_LDFLAGS icule icuuc icudata)
    endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
endif (${ICU_INCLUDE} STREQUAL "ICU_INCLUDE-NOTFOUND")

#find_path(HB1_INCLUDE NAMES "harfbuzz-shaper.h"
#        PATHS /usr/local/include/harfbuzz-1 /usr/include/harfbuzz-1
#        DOC "Include directory for harfbuzz")
#if (NOT ${HB1_INCLUDE} STREQUAL "")
#    add_definitions(-DHAVE_HARFBUZZ)
#    set(HB1_LDFLAGS "-L${HB1_INCLUDE}/../../lib -lharfbuzz-1")
#endif (${HB1_INCLUDE})

if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    find_package(Freetype)
    find_package(PkgConfig)

    pkg_check_modules(GR silgraphite)
    pkg_check_modules(HB harfbuzz)
    pkg_check_modules(GLIB glib-2.0)
    # pkg_check_modules(GRNG graphite)

    if (${HB_FOUND})
        if (${FREETYPE_FOUND})
            add_definitions(-DHAVE_HARFBUZZNG)
        endif (${FREETYPE_FOUND})
    endif (${HB_FOUND})

    if (${GR_FOUND})
        add_definitions(-DHAVE_GRAPHITE)
        set(GR_EXTRA_SOURCE GrUtfTextSrc.cpp)
    endif (${GR_FOUND})
    set(RT_LDFLAGS "rt")

    if (GRAPHITE2_ASAN)
        set(GRAPHITE_LINK_FLAGS "-fsanitize=address")
    endif (GRAPHITE2_ASAN)

endif (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
	find_path(GR_INCLUDE graphite/GrClient.h PATHS ENV SILGRAPHITE_HOME ${PROJECT_SOURCE_DIR}/../../../silgraphite-2.3.1 ${PROJECT_SOURCE_DIR}/../../../silgraphite-2.4.0 ${GRAPHITE_INSTALLED_PATH} ${PROJECT_SOURCE_DIR}/../../../graphite-trunk PATH_SUFFIXES engine/include include)
    find_library(GR_DEBUG_LIBRARY graphite PATHS ENV SILGRAPHITE_HOME ${PROJECT_SOURCE_DIR}/../../../silgraphite-2.3.1 ${PROJECT_SOURCE_DIR}/../../../silgraphite-2.4.0 ${GR_GRAPHITE_DEBUG} ${PROJECT_SOURCE_DIR}/../../../graphite-trunk PATH_SUFFIXES engine/debug vs9/engine/src/Debug build/engine/src/Debug)
    find_library(GR_RELEASE_LIBRARY graphite PATHS ENV SILGRAPHITE_HOME ${PROJECT_SOURCE_DIR}/../../../silgraphite-2.3.1 ${PROJECT_SOURCE_DIR}/../../../silgraphite-2.4.0 ${GR_GRAPHITE_RELEASE} ${PROJECT_SOURCE_DIR}/../../../graphite-trunk PATH_SUFFIXES engine/release vs9/engine/src/Release build/engine/src/Release)
    if (NOT GR_INCLUDE STREQUAL GR_INCLUDE-NOTFOUND)
		set(GR_FOUND 1)
		add_definitions(-DHAVE_GRAPHITE)
		set(GR_INCLUDE_DIRS ${GR_INCLUDE})
        set(GR_EXTRA_SOURCE GrUtfTextSrc.cpp)
    endif (NOT GR_INCLUDE STREQUAL GR_INCLUDE-NOTFOUND)
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")

include_directories(../common ${PROJECT_SOURCE_DIR}/../../src ${FREETYPE_INCLUDE_DIRS} ${HB_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS} ${GR_INCLUDE_DIRS} ${ICU_INCLUDE_DIRS} ${HB1_INCLUDE})

file(GLOB PRIVATE_HEADERS *.h) 
set_source_files_properties(${PRIVATE_HEADERS} PROPERTIES HEADER_FILE_ONLY true)

add_executable(comparerenderer
    CompareRenderer.cpp
    ${GR_EXTRA_SOURCE}
    ${ICULE}
    ${PRIVATE_HEADERS}
    )

# rt is for timing
target_link_libraries(comparerenderer graphite2-base graphite2 ${GRAPHITE_LINK_FLAGS} ${FREETYPE_LIBRARIES} ${GLIB_LD_FLAGS} ${HB_LDFLAGS} ${HB1_LDFLAGS} ${GR_LDFLAGS} ${ICU_LDFLAGS} ${RT_LDFLAGS})

if  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
	find_file(USP10_H NAMES Usp10.h)
	find_library(USP10_LIB NAMES Usp10.lib)
	if (NOT ${USP10_H} STREQUAL "USP10_H_NOTFOUND")
		add_definitions(-DHAVE_USP10)
	endif (NOT ${USP10_H} STREQUAL "USP10_H_NOTFOUND")
    add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
    add_custom_target(${PROJECT_NAME}_copy_dll ALL
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${graphite2_core_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${CMAKE_SHARED_LIBRARY_PREFIX}graphite2${CMAKE_SHARED_LIBRARY_SUFFIX} ${PROJECT_BINARY_DIR}/${CMAKE_CFG_INTDIR})
    add_dependencies(${PROJECT_NAME}_copy_dll graphite2 iconv comparerenderer)
    if (${GR_FOUND})
        target_link_libraries(comparerenderer debug ${GR_DEBUG_LIBRARY})
        target_link_libraries(comparerenderer optimized ${GR_RELEASE_LIBRARY})
    endif (${GR_FOUND})
    if (NOT ${ICU_LIBRARY_PATH} STREQUAL "ICU_LIBRARY_PATH-NOTFOUND")
        file(GLOB ICU_DLLS ${ICU_LIBRARY_PATH}/*.dll)
        foreach(ICU_DLL ${ICU_DLLS})
	        add_custom_command(TARGET ${PROJECT_NAME}_copy_dll POST_BUILD
		        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${ICU_DLL} ${PROJECT_BINARY_DIR}/${CMAKE_CFG_INTDIR})        
	    endforeach(ICU_DLL ${ICU_DLLS})
    endif (NOT ${ICU_LIBRARY_PATH} STREQUAL "ICU_LIBRARY_PATH-NOTFOUND")

endif  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")

macro(comparetest TESTNAME FONTFILE TEXTFILE)
    if (${GR_FOUND})
    # comparision tests between old and new graphite
        add_test(NAME ${TESTNAME}_comparison COMMAND $<TARGET_FILE:comparerenderer>
        -t ${testing_SOURCE_DIR}/texts/${TEXTFILE} -f ${testing_SOURCE_DIR}/fonts/${FONTFILE} -s 12 -l ${PROJECT_BINARY_DIR}/${TESTNAME}_comparison.log -c -g -n --tolerance 0.0001 ${ARGN})
        if (GRAPHITE2_ASAN)
            set_property(TEST ${TESTNAME}_comparison APPEND PROPERTY ENVIRONMENT "ASAN_SYMBOLIZER_PATH=${ASAN_SYMBOLIZER}")
        endif (GRAPHITE2_ASAN)
        add_test(NAME ${TESTNAME}_cached_comparison COMMAND $<TARGET_FILE:comparerenderer>
        -t ${testing_SOURCE_DIR}/texts/${TEXTFILE} -f ${testing_SOURCE_DIR}/fonts/${FONTFILE} -s 12 -l ${PROJECT_BINARY_DIR}/${TESTNAME}_cached_comparison.log -c -g -n --seg-cache 4096 --tolerance 0.0001 ${ARGN})
        set_tests_properties(${TESTNAME}_comparison PROPERTIES TIMEOUT 3)
        set_tests_properties(${TESTNAME}_cached_comparison PROPERTIES TIMEOUT 3)
    endif (${GR_FOUND})
endmacro(comparetest)

comparetest(charis charis_r_gr.ttf udhr_eng.txt)
comparetest(padauk Padauk.ttf my_HeadwordSyllables.txt)
comparetest(padauk_ulon Padauk.ttf my_HeadwordSyllables.txt --features ulon=1)
comparetest(charis_yor charis_r_gr.ttf udhr_yor.txt)
comparetest(piglatin PigLatinBenchmark_v3.ttf udhr_eng.txt)
# silgraphite and gr2 bidi algorithms don't quite agree enough
# comparetest(scheherazade_arb Scheherazadegr.ttf udhr_arb.txt --rtl)
comparetest(annapurna_nep Annapurnarc2.ttf udhr_nep.txt)

# comparerenderer can also be used for font testing
install(TARGETS comparerenderer EXPORT comparerenderer RUNTIME DESTINATION bin)

=== tests/examples/CMakeLists.txt ===

project(testexamples)

include_directories(../../src)
INCLUDE(CheckTypeSize)

CHECK_TYPE_SIZE(size_t SIZEOF_SIZE_T)
add_definitions(-DSIZEOF_SIZE_T=${SIZEOF_SIZE_T})

if  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
    add_definitions(-D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DUNICODE)
    add_custom_target(${PROJECT_NAME}_copy_dll ALL
		COMMAND ${CMAKE_COMMAND} -E copy_if_different ${graphite2_core_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${CMAKE_SHARED_LIBRARY_PREFIX}graphite2${CMAKE_SHARED_LIBRARY_SUFFIX} ${PROJECT_BINARY_DIR}/${CMAKE_CFG_INTDIR})
	add_dependencies(${PROJECT_NAME}_copy_dll graphite2 iconv simple features clusters linebreak)
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")

macro(test_example TESTNAME SRCFILE)
    add_executable(${TESTNAME} ${SRCFILE})
    set_target_properties(${TESTNAME} PROPERTIES LINKER_LANGUAGE C)
    if (GRAPHITE2_ASAN)
        set_target_properties(${TESTNAME} PROPERTIES LINK_FLAGS "-fsanitize=address")
    endif (GRAPHITE2_ASAN)
    target_link_libraries(${TESTNAME} graphite2)

    add_test(NAME ${TESTNAME} COMMAND $<TARGET_FILE:${TESTNAME}> ${ARGN})
    set_tests_properties(${TESTNAME} PROPERTIES TIMEOUT 3)
endmacro(test_example)

if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    find_package(Freetype)
    if (${FREETYPE_FOUND})
        include_directories(${FREETYPE_INCLUDE_DIRS})
    endif (${FREETYPE_FOUND})
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

macro(test_freetype TESTNAME SRCFILE)
    if (${FREETYPE_FOUND})
        add_executable(${TESTNAME} ${SRCFILE})
        set_target_properties(${TESTNAME} PROPERTIES LINKER_LANGUAGE C)
        if (${CMAKE_BUILD_TYPE} STREQUAL "ClangASN")
            set_target_properties(${TESTNAME} PROPERTIES LINK_FLAGS "-fsanitize=address")
        endif (${CMAKE_BUILD_TYPE} STREQUAL "ClangASN")
        target_link_libraries(${TESTNAME} graphite2 ${FREETYPE_LIBRARIES})
        add_test(NAME ${TESTNAME} COMMAND $<TARGET_FILE:${TESTNAME}> ${ARGN})
        set_tests_properties(${TESTNAME} PROPERTIES TIMEOUT 3)
    endif (${FREETYPE_FOUND})
endmacro(test_freetype)

test_example(simple simple.c ${testing_SOURCE_DIR}/fonts/Padauk.ttf "Hello World!")
test_example(features features.c ${testing_SOURCE_DIR}/fonts/Padauk.ttf)
test_example(clusters cluster.c ${testing_SOURCE_DIR}/fonts/Padauk.ttf "စက္ခုန္ဒြေ")
test_example(linebreak linebreak.c ${testing_SOURCE_DIR}/fonts/charis_r_gr.ttf 120 "This is a long test line that goes on and on and on")
test_freetype(freetype freetype.c ${testing_SOURCE_DIR}/fonts/Padauk.ttf "Hello World!")

=== tests/featuremap/CMakeLists.txt ===
project(featuremaptest)
include(Graphite)
include_directories(${graphite2_core_SOURCE_DIR})

if  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
    add_definitions(-D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DUNICODE)
    add_custom_target(${PROJECT_NAME}_copy_dll ALL
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${graphite2_core_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${CMAKE_SHARED_LIBRARY_PREFIX}graphite2${CMAKE_SHARED_LIBRARY_SUFFIX} ${PROJECT_BINARY_DIR}/${CMAKE_CFG_INTDIR})
    add_dependencies(${PROJECT_NAME}_copy_dll graphite2 featuremaptest)
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")

set(S ${graphite2_core_SOURCE_DIR})
add_executable(featuremaptest featuremaptest.cpp)
set_target_properties(featuremaptest PROPERTIES COMPILE_DEFINITIONS "GRAPHITE2_STATIC")
if (GRAPHITE2_ASAN)
    set_target_properties(featuremaptest PROPERTIES LINK_FLAGS "-fsanitize=address")
endif (GRAPHITE2_ASAN)
target_link_libraries(featuremaptest graphite2 graphite2-base graphite2-segcache graphite2-base)

add_test(NAME featuremaptest COMMAND $<TARGET_FILE:featuremaptest> ${testing_SOURCE_DIR}/fonts/tiny.ttf)
set_tests_properties(featuremaptest PROPERTIES TIMEOUT 3)

=== tests/sparsetest/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0 FATAL_ERROR)
project(sparsetest)
include(Graphite)
include_directories(${graphite2_core_SOURCE_DIR})

if  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
    add_definitions(-D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DUNICODE)
    add_custom_target(${PROJECT_NAME}_copy_dll ALL
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${graphite2_core_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${CMAKE_SHARED_LIBRARY_PREFIX}graphite2${CMAKE_SHARED_LIBRARY_SUFFIX} ${PROJECT_BINARY_DIR}/${CMAKE_CFG_INTDIR})
    add_dependencies(${PROJECT_NAME}_copy_dll graphite2 sparsetest)
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")


add_executable(sparsetest sparsetest.cpp)
target_link_libraries(sparsetest graphite2-base)
if (GRAPHITE2_ASAN)
    set_target_properties(sparsetest PROPERTIES LINK_FLAGS "-fsanitize=address")
endif (GRAPHITE2_ASAN)

add_test(NAME sparsetest COMMAND $<TARGET_FILE:sparsetest>)

=== debian/changelog ===
graphite2 (1.2.4-1ubuntu1) trusty; urgency=low

  * Allow the package to cross build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Dec 2013 14:23:52 +0100

graphite2 (1.2.4-1) unstable; urgency=low

  * New upstream release
  * some tests need apparently need python, build-dep on python (>= 2.6) 

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Nov 2013 20:12:13 +0100

=== debian/control ===
Source: graphite2
Priority: optional
Section: libs
Maintainer: Debian LibreOffice Team <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Daniel Glassey <wdg@debian.org>
Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), dpkg-dev (>= 1.16.1), cmake, libfreetype6-dev
# perl: libmodule-build-perl
# mono: mono-xbuild, mono-gmcs, mono-dmcs, libnunit-cil-dev
Build-Depends-Indep: asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor, libxml2-utils
Standards-Version: 3.9.1

Package: libgraphite2-3
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libgraphite2-2.0.0
Replaces: libgraphite2-2.0.0
Breaks: libgraphite2-2.0.0 (<< 1.2.0)
Multi-Arch: same
Description: Font rendering engine for Complex Scripts -- library
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .  
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors. 
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler. 
 .
 This package contains the shared library.

Package: libgraphite2-dev
Section: libdevel
Architecture: any
Depends: libgraphite2-3 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors. 
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler. 
 .
 This package contains the development libraries for libgraphite2 

Package: libgraphite2-3-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libgraphite2-3 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors. 
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler. 
 .
 Debug symbols for libgraphite2

Package: libgraphite2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors. 
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler. 
 .
 PDF and HTML documentation for libgraphite2

#Package: libtext-gr2-perl
#Section: perl
#Architecture: any
#Depends: ${shlibs:Depends}, perl, ${perl:Depends}, ${misc:Depends}
#Description: Perl Interface to SIL's Graphite2 rendering engine
# Graphite is a system that can be used to create and use "smart fonts" capable
# of displaying writing systems with various complex behaviors, such as:
# contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
# stacking diacritics and complex positioning.
# .
# This library was designed and developed by the NRSI (Non-Roman Script
# Initiative) within SIL International (www.sil.org) to act as a complement to
# other smart font rendering technologies with limited practical local
# extensibility. Its purpose is to help meet the needs of a very large number
# of "minority language" communities for local extensibility of complex script
# behaviors.
# .
# The behavior of the rendering engine for a given writing system is specified
# through extra tables added to a TrueType font.  These tables are generated by
# compiling a GDL (Graphite Description Language) source file into a font using
# grcompiler.
# .
# This package contains the Text::Graphite2 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  cross_defines = \
	-DCMAKE_TOOLCHAIN_FILE=$(wildcard /usr/share/cmake-*/Modules/MultiArchCross.cmake)
endif

%:
	dh $@ --builddirectory=build

override_dh_strip:
	dh_strip --dbg-package=libgraphite2-3-dbg

override_dh_auto_build-arch:
	dh_auto_build
#	echo "Building perl module"
#	cd contrib/perl && \
#		perl Build.PL prefix=/usr && \
#		./Build

override_dh_auto_build-indep:
	echo "Building docs"
	dh_auto_build -- docs
#	echo "Building C# binding"
#	cd contrib/C\# && \
#		mono-xbuild NGraphite.sln

override_dh_auto_install:
	dh_auto_install
#	cd perl && \
#		./Build install destdir=$(CURDIR)/debian/libtext-gr2-perl
#	# hack
#	cd $(CURDIR)/debian/libtext-gr2-perl/usr && \
#		mkdir share && mv man share
#	cd $(CURDIR)/debian/libtext-gr2-perl/usr/lib && \
#		mv perl perl5 && cd perl5 && mv 5.*/* . && rm -rf 5.*
#	find debian/libtext-gr2-perl -type f -name .packlist | xargs rm -f

override_dh_auto_test:
	dh_auto_test
#ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	cd contrib/perl && \
#		LD_LIBRARY_PATH=$(CURDIR)/build/src ./Build test
#endif

override_dh_auto_clean:
#	if [ -e contrib/perl/Build ]; then cd contrib/perl && \
#		./Build clean; fi
#	rm -rf contrib/perl/Build contrib/perl/_build
#	rm -f /contrib/perl/MYMETA*
#	rm -f contrib/C\#/NGraphite/obj/Debug/NGraphite.csproj.FilesWrittenAbsolute.txt
#	-find contrib/C\# -name "*.dll" | xargs rm
#	-find contrib/C\# -name "*.dll.mdb" | xargs rm
	-find . -name "CTestCostData.txt" | xargs rm
	-find . -name "LastTest.log"  | xargs rm
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE:STRING=Release -DGRAPHITE2_NTRACING:bool=1 -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) $(cross_defines)
	find . -type f ! -name "rules" ! -name "changelog" \
		-exec sed -i -e 's/\-O3//g' {} \;

override_dh_gencontrol:
	dh_gencontrol -Nlibtext-gr2-perl -O--builddirectory=build
#	dh_gencontrol -plibtext-gr2-perl -- -v`cat perl/META.yml | grep version: | tail -n 1 | awk '{ print $$2 }'`-`dpkg-parsechangelog  | grep urgency | awk '{ print $$2 }' | sed -e 's/(//' | sed -e 's/)//' | cut -d- -f2`

## graphite2 1.3.6

=== tests/CMakeLists.txt ===
project(testing)
include(Graphite)
include(CMakeDependentOption)
CMAKE_DEPENDENT_OPTION(GRAPHITE2_COMPARE_RENDERER "Build tool to compare output of different renderers" OFF
                        "NOT GRAPHITE2_NFILEFACE;NOT GRAPHITE2_NSEGCACHE" OFF)

include_directories(${graphite2_core_SOURCE_DIR})
set(S ${graphite2_core_SOURCE_DIR})

add_library(graphite2-base STATIC
    ${S}/FeatureMap.cpp
    ${S}/Intervals.cpp
    ${S}/NameTable.cpp
    ${S}/Sparse.cpp
    ${S}/TtfUtil.cpp
    ${S}/UtfCodec.cpp)

add_library(graphite2-segcache STATIC
    ${S}/call_machine.cpp
    ${S}/Code.cpp
    ${S}/Collider.cpp
    ${S}/CmapCache.cpp
    ${S}/Decompressor.cpp
    ${S}/Face.cpp
    ${S}/FileFace.cpp
    ${S}/GlyphCache.cpp
    ${S}/GlyphFace.cpp
    ${S}/gr_logging.cpp
    ${S}/Pass.cpp
    ${S}/SegCache.cpp
    ${S}/SegCacheEntry.cpp
    ${S}/Segment.cpp
    ${S}/Silf.cpp
    ${S}/Slot.cpp
    )

set(TELEMETRY)
if (GRAPHITE2_TELEMETRY)
    set(TELEMETRY ";GRAPHITE2_TELEMETRY")
endif (GRAPHITE2_TELEMETRY)

if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
    set_target_properties(graphite2-base PROPERTIES 
                            COMPILE_DEFINITIONS "GRAPHITE2_STATIC;GRAPHITE2_NTRACING;_SCL_SECURE_NO_WARNINGS;_CRT_SECURE_NO_WARNINGS;UNICODE")
    set_target_properties(graphite2-segcache PROPERTIES 
                            COMPILE_DEFINITIONS "GRAPHITE2_STATIC;GRAPHITE2_NTRACING${TELEMETRY};_SCL_SECURE_NO_WARNINGS;_CRT_SECURE_NO_WARNINGS;UNICODE")
else (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
# don't -D GRAPHITE2_STATIC so that tests can see the API symbols in the static library 
    set_target_properties(graphite2-base PROPERTIES 
        COMPILE_FLAGS       "-Wall -Wextra -fno-rtti -fno-exceptions -fno-stack-protector"
        COMPILE_DEFINITIONS "GRAPHITE2_NTRACING"
        LINK_FLAGS          "-nodefaultlibs ${GRAPHITE_LINK_FLAGS}" 
        LINKER_LANGUAGE     C)
    set_target_properties(graphite2-segcache PROPERTIES 
        COMPILE_FLAGS       "-Wall -Wextra -fno-rtti -fno-exceptions -fno-stack-protector"
        COMPILE_DEFINITIONS "GRAPHITE2_NTRACING${TELEMETRY}"
        LINK_FLAGS          "-nodefaultlibs ${GRAPHITE_LINK_FLAGS}" 
        LINKER_LANGUAGE     C)
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")

add_subdirectory(comparerenderer)
add_subdirectory(endian)
add_subdirectory(bittwiddling)
if (NOT GRAPHITE2_NFILEFACE)
    add_subdirectory(examples)
endif (NOT GRAPHITE2_NFILEFACE)
add_subdirectory(featuremap)
add_subdirectory(grlist)
add_subdirectory(json)
add_subdirectory(nametabletest)
if (NOT (GRAPHITE2_NSEGCACHE OR GRAPHITE2_NFILEFACE))
    add_subdirectory(segcache)
endif (NOT (GRAPHITE2_NSEGCACHE OR GRAPHITE2_NFILEFACE))
add_subdirectory(sparsetest)
add_subdirectory(utftest)
if (NOT GRAPHITE2_NFILEFACE)
    add_subdirectory(vm)
endif (NOT GRAPHITE2_NFILEFACE)
add_subdirectory(fuzz-tests)

enable_testing()

fonttest(padauk1 Padauk.ttf 1015 102F 100F 1039 100F 1031 1038)
fonttest(padauk2 Padauk.ttf 1000 103C 102D 102F)
fonttest(padauk3 Padauk.ttf 101e 1004 103a 1039 1001 103b 102d 102f 1004 103a 1038)
fonttest(padauk4 Padauk.ttf 1005 1000 1039 1000 1030)
fonttest(padauk5 Padauk.ttf 1000 103c 1031 102c 1004 1037 103a)
fonttest(padauk6 Padauk.ttf 1000 102D 1005 1039 1006 102C)
# padauk7 can cause an infinite loop, though the text is miss-spelt
fonttest(padauk7 Padauk.ttf 1017 1014 103c 103d 102f)
fonttest(padauk8 Padauk.ttf 1004 103A 1039 1005)
fonttest(padauk9 Padauk.ttf 1004 103A 1039)
fonttest(padauk10 Padauk.ttf 1004 103D 1000 103A -feat kdot=1,wtri=1)
fonttest(padauk11 Padauk.ttf 100B 1039 100C 1031 102C)
fonttest(padauk12 Padauk.ttf 0048 0065 006C 006C 006F 0020 004D 0075 006D -j 107)
fonttest(scher1 Scheherazadegr.ttf 0628 0628 064E 0644 064E 0654 0627 064E -rtl)
fonttest(scher2 Scheherazadegr.ttf 0627 0644 0625 0639 0644 0627 0646 -rtl)
fonttest(scher3 Scheherazadegr.ttf 0627 0031 0032 002D 0034 0035 0627 -rtl)
fonttest(scher4 Scheherazadegr.ttf 0627 0653 06AF -rtl)
fonttest(scher5 Scheherazadegr_noglyfs.ttf 0627 0653 06AF -rtl)
fonttest(charis1 charis_r_gr.ttf 0069 02E6 02E8 02E5)
fonttest(charis2 charis_r_gr.ttf 1D510 0041 1D513)
fonttest(charis3 charis_r_gr.ttf 0054 0069 1ec3 0075 -feat lang=vie)
fonttest(charis4 charis_r_gr.ttf 006b 0361 070)
fonttest(charis5 charis_r_gr.ttf 0020 006C 0325 0065)
fonttest(charis6 charis_r_gr.ttf 0048 0065 006C 006C 006F 0020 004D 0075 006D -j 107)
fonttest(charis7 charis_fast.ttf 0049 0065 006C 006C 006F)
fonttest(charis8 charis_r_gr.ttf 0054 0069 1ec3 0075 -feat "lang=vi  ")
fonttest(magyar1 MagyarLinLibertineG.ttf 0031 0035 -feat 210=36)
fonttest(magyar2 MagyarLinLibertineG.ttf 0031 0030 -feat 210=200)
fonttest(magyar3 MagyarLinLibertineG.ttf 0066 0069 0066 0074 0079 002d 0066 0069 0076 0065 -feat 209=3)
fonttest(grtest1 grtest1gr.ttf 0062 0061 0061 0061 0061 0061 0061 0062 0061)
fonttest(general1 general.ttf 0E01 0062)

feattest(padauk_feat Padauk.ttf)
feattest(charis_feat charis_r_gr.ttf)
feattest(scher_feat Scheherazadegr.ttf)

cmptest(padaukcmp1 Padauk.ttf my_HeadwordSyllables.txt)
cmptest(chariscmp1 charis_r_gr.ttf udhr_eng.txt)
cmptest(chariscmp2 charis_r_gr.ttf udhr_yor.txt)
cmptest(annacmp1 Annapurnarc2.ttf udhr_nep.txt)
cmptest(schercmp1 Scheherazadegr.ttf udhr_arb.txt -r)
cmptest(awamicmp1 Awami_test.ttf awami_tests.txt -r -e 1)
cmptest(awamicmp2 Awami_compressed_test.ttf awami_tests.txt -r -e 1)

=== tests/comparerenderer/CMakeLists.txt ===
project(comparerenderer)

if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    set(RT_LDFLAGS "rt")
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

include_directories(../common ${PROJECT_SOURCE_DIR}/../../src)

file(GLOB PRIVATE_HEADERS *.h) 
set_source_files_properties(${PRIVATE_HEADERS} PROPERTIES HEADER_FILE_ONLY true)

add_executable(comparerenderer
    CompareRenderer.cpp
    ${PRIVATE_HEADERS}
    )

if (GRAPHITE2_ASAN)
    set_target_properties(comparerenderer PROPERTIES LINK_FLAGS "-fsanitize=address")
endif (GRAPHITE2_ASAN)

# rt is for timing
target_link_libraries(comparerenderer graphite2-base graphite2 ${FREETYPE_LIBRARIES} ${GLIB_LD_FLAGS} ${HB_LDFLAGS} ${HB1_LDFLAGS} ${GR_LDFLAGS} ${ICU_LDFLAGS} ${RT_LDFLAGS})

if  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
    add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
    add_custom_target(${PROJECT_NAME}_copy_dll ALL
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${graphite2_core_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${CMAKE_SHARED_LIBRARY_PREFIX}graphite2${CMAKE_SHARED_LIBRARY_SUFFIX} ${PROJECT_BINARY_DIR}/${CMAKE_CFG_INTDIR})
    add_dependencies(${PROJECT_NAME}_copy_dll graphite2 iconv comparerenderer)
endif  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")

macro(comparetest TESTNAME FONTFILE TEXTFILE)
    if (${GR_FOUND})
    # comparision tests between old and new graphite
        add_test(NAME ${TESTNAME}_comparison COMMAND $<TARGET_FILE:comparerenderer>
        -t ${testing_SOURCE_DIR}/texts/${TEXTFILE} -f ${testing_SOURCE_DIR}/fonts/${FONTFILE} -s 12 -v -l ${PROJECT_BINARY_DIR}/${TESTNAME}.log -n --tolerance 0.0001 ${ARGN})
        if (GRAPHITE2_ASAN)
            set_property(TEST ${TESTNAME}_comparison APPEND PROPERTY ENVIRONMENT "ASAN_SYMBOLIZER_PATH=${ASAN_SYMBOLIZER}")
        endif (GRAPHITE2_ASAN)
        set_tests_properties(${TESTNAME}_comparison PROPERTIES TIMEOUT 3)
        add_test(NAME ${TESTNAME}cmpOutput COMMAND ${CMAKE_COMMAND} -E compare_files ${PROJECT_BINARY_DIR}/${TESTNAME}.log ${PROJECT_SOURCE_DIR}/../standards/${TESTNAME}${PLATFORM_TEST_SUFFIX}.log)
        set_tests_properties(${TESTNAME}cmpOutput PROPERTIES DEPENDS ${TESTNAME})
    endif (${GR_FOUND})
endmacro(comparetest)

comparetest(charis charis_r_gr.ttf udhr_eng.txt)
comparetest(padauk Padauk.ttf my_HeadwordSyllables.txt)
comparetest(padauk_ulon Padauk.ttf my_HeadwordSyllables.txt --features ulon=1)
comparetest(charis_yor charis_r_gr.ttf udhr_yor.txt)
comparetest(piglatin PigLatinBenchmark_v3.ttf udhr_eng.txt)
# silgraphite and gr2 bidi algorithms don't quite agree enough
# comparetest(scheherazade_arb Scheherazadegr.ttf udhr_arb.txt --rtl)
comparetest(annapurna_nep Annapurnarc2.ttf udhr_nep.txt)

# comparerenderer can also be used for font testing
# install(TARGETS comparerenderer EXPORT comparerenderer RUNTIME DESTINATION bin)

=== debian/changelog ===
graphite2 (1.3.6-1~deb7u1) oldstable-security; urgency=high

  * rebuild for oldstable-security 
  * revert ddeb-migration
  * revert package rename to -3 and go back to -2.0.0 to avoid changing
    the package name (ABI compatibility is there). Also dd patch to revert
    back to .so.2.0.0 as SONAME.

 -- Rene Engelhard <rene@debian.org>  Wed, 09 Mar 2016 12:12:25 +0100

graphite2 (1.3.6-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Feb 2016 20:52:55 +0100

graphite2 (1.3.5-1) unstable; urgency=medium

  * New upstream release
    - fixes Bidirectional Font BracketPairStack Code Execution Vulnerability
      (TALOS-2016-0057/CVE-2016-1522)
    - fixes directrun Opcode Handling Code Execution Vulnerability
      (TALOS-2016-0058/CVE-2016-1521)
    - fixes Context Item Code Execution Vulnerability
      (TALOS-2016-0059/CVE-2016-1523)
    - fixes Bidirectional Font mFeatureMap Denial of Service Vulnerability
      (TALOS-2016-0060/CVE-2016-1522)
    - fixes LocaLookup Denial of Service Vulnerability"
      (TALOS-2016-0061/CVE-2016-1521)

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Jan 2016 23:39:14 +0100

graphite2 (1.3.4-2) unstable; urgency=medium

  * debian/patches/revert-collision-info-refactoring-to-fix-alignment.diff:
    add from upstream git, thanks Tim Eves (closes: #805323)
  * debian/patches/reproducible-build.diff: tell dblatex to use a static
    path to make build reproduceable, thanks Reiner Herrmann
    (closes: #807838)
  * use -DGRAPHITE2_NTRACING:BOOL=ON (instead of :bool=1)
  * fix Maintainer:
  * migrate from manual -dbg to ddeb

 -- Rene Engelhard <rene@debian.org>  Tue, 05 Jan 2016 17:12:01 +0000

graphite2 (1.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Oct 2015 16:11:37 +0100

graphite2 (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 22 Sep 2015 09:07:46 +0200

graphite2 (1.3.2-4) unstable; urgency=medium

  * upload to unstable

  * add graphviz to B-D-I...

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Sep 2015 11:12:41 +0200

graphite2 (1.3.2-3) experimental; urgency=medium

  * don't run dh_auto_install when ./build/src/libgraphite2.so.3 doesn't exist
    (as for dh_auto_test) so that we don't run a graphite build after building
    the docs (as make install of course requires that). Install the docs
    manually using .install

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Sep 2015 11:52:49 +0200

graphite2 (1.3.2-2) experimental; urgency=medium

  * check for existence of ./build/src/libgraphite2.so.3 before running
    dh_auto_test to skip the tests on "all" builds

 -- Rene Engelhard <rene@debian.org>  Tue, 15 Sep 2015 08:13:13 +0200

graphite2 (1.3.2-1) experimental; urgency=medium

  * New upstream release

  * use --parallel in dh_auto_build (not in docs build and tests; the former
    doesn't build with parallelism)
  * Standards-Versions: 3.9.1 -> 3.9.6, no changes needed

 -- Rene Engelhard <rene@debian.org>  Mon, 14 Sep 2015 21:20:32 +0200

graphite2 (1.3.0-2) experimental; urgency=medium

  * backport fixes from http://hg.palaso.org/graphitedev/raw-rev/cfab7499b46b:
    - fix tests on !linux (closes: #79499)
    - increase test timeout from 10s to 120s to make them succeed on mips(el)

 -- Rene Engelhard <rene@rene-engelhard.de>  Wed, 12 Aug 2015 17:12:57 +0200

graphite2 (1.3.0-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Aug 2015 10:38:42 +0000

graphite2 (1.2.4-3) unstable; urgency=medium

  * run a2x without --icons to avoid FTBFS (closes: #741845) 

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Jun 2014 11:12:56 +0200

graphite2 (1.2.4-2) unstable; urgency=low

  * add patch from Pino Toscano to also avoid linking to libstdc++ on
    kFreeBSD and Hurd (closes: #738353)

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Feb 2014 09:47:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: graphite2
 Priority: optional
 Section: libs
-Maintainer: Debian LibreOffice Team <debian-openoffice@lists.debian.org>
+Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>, Daniel Glassey <wdg@debian.org>
-Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), dpkg-dev (>= 1.16.1), cmake, libfreetype6-dev
+Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), dpkg-dev (>= 1.16.1~), cmake, python, fonttools
 # perl: libmodule-build-perl
 # mono: mono-xbuild, mono-gmcs, mono-dmcs, libnunit-cil-dev
-Build-Depends-Indep: asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor, libxml2-utils
-Standards-Version: 3.9.1
+Build-Depends-Indep: asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor, libxml2-utils, graphviz
+Standards-Version: 3.9.6
 
-Package: libgraphite2-3
+Package: libgraphite2-2.0.0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libgraphite2-2.0.0
-Replaces: libgraphite2-2.0.0
-Breaks: libgraphite2-2.0.0 (<< 1.2.0)
+Provides: libgraphite2-3
 Multi-Arch: same
 Description: Font rendering engine for Complex Scripts -- library
  Graphite is a system that can be used to create and use "smart fonts" capable
@@ -41,7 +39,7 @@
 Package: libgraphite2-dev
 Section: libdevel
 Architecture: any
-Depends: libgraphite2-3 (= ${binary:Version}), ${misc:Depends}
+Depends: libgraphite2-2.0.0 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for libgraphite2
  Graphite is a system that can be used to create and use "smart fonts" capable
  of displaying writing systems with various complex behaviors, such as:
@@ -62,11 +60,11 @@
  .
  This package contains the development libraries for libgraphite2 
 
-Package: libgraphite2-3-dbg
+Package: libgraphite2-2.0.0-dbg
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libgraphite2-3 (= ${binary:Version}), ${misc:Depends}
+Depends: libgraphite2-2.0.0 (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for libgraphite2
  Graphite is a system that can be used to create and use "smart fonts" capable
  of displaying writing systems with various complex behaviors, such as:

## graphite2 1.3.8

=== debian/changelog ===
graphite2 (1.3.8-1ubuntu1) yakkety; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Allow the package to cross build.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 Jul 2016 12:30:22 -0400

graphite2 (1.3.8-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 31 Mar 2016 07:30:00 +0000

graphite2 (1.3.7-1) unstable; urgency=medium

  * New upstream release

  * add debian/watch, update debian/copyright to point to github
  * add Homepage: (http://graphite.sil.org/)

 -- Rene Engelhard <rene@debian.org>  Tue, 15 Mar 2016 09:23:42 +0100

graphite2 (1.3.6-1ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Allow the package to cross build.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Mar 2016 13:34:40 -0500

graphite2 (1.3.5-1ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Allow the package to cross build.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Feb 2016 10:41:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: graphite2
 Priority: optional
 Section: libs
-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>, Daniel Glassey <wdg@debian.org>
-Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), dpkg-dev (>= 1.16.1~), cmake, python, fonttools
+Build-Depends: debhelper (>= 9.20151219), dh-exec (>= 0.3), dpkg-dev (>= 1.18.2~), cmake, python, fonttools
 # perl: libmodule-build-perl
 # mono: mono-xbuild, mono-gmcs, mono-dmcs, libnunit-cil-dev
 Build-Depends-Indep: asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor, libxml2-utils, graphviz
 Standards-Version: 3.9.6
+Homepage: http://graphite.sil.org/
 
-Package: libgraphite2-2.0.0
+Package: libgraphite2-3
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libgraphite2-3
+Provides: libgraphite2-2.0.0
+Replaces: libgraphite2-2.0.0
+Breaks: libgraphite2-2.0.0 (<< 1.2.0)
 Multi-Arch: same
 Description: Font rendering engine for Complex Scripts -- library
  Graphite is a system that can be used to create and use "smart fonts" capable
@@ -39,7 +43,7 @@
 Package: libgraphite2-dev
 Section: libdevel
 Architecture: any
-Depends: libgraphite2-2.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgraphite2-3 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for libgraphite2
  Graphite is a system that can be used to create and use "smart fonts" capable
  of displaying writing systems with various complex behaviors, such as:
@@ -59,31 +63,6 @@
  grcompiler. 
  .
  This package contains the development libraries for libgraphite2 
-
-Package: libgraphite2-2.0.0-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libgraphite2-2.0.0 (= ${binary:Version}), ${misc:Depends}
-Description: Debug symbols for libgraphite2
- Graphite is a system that can be used to create and use "smart fonts" capable
- of displaying writing systems with various complex behaviors, such as:
- contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
- stacking diacritics and complex positioning.
- .
- This library was designed and developed by the NRSI (Non-Roman Script
- Initiative) within SIL International (www.sil.org) to act as a complement to
- other smart font rendering technologies with limited practical local
- extensibility. Its purpose is to help meet the needs of a very large number
- of "minority language" communities for local extensibility of complex script
- behaviors. 
- .
- The behavior of the rendering engine for a given writing system is specified
- through extra tables added to a TrueType font.  These tables are generated by
- compiling a GDL (Graphite Description Language) source file into a font using
- grcompiler. 
- .
- Debug symbols for libgraphite2
 
 Package: libgraphite2-doc
 Section: doc

## graphite2 1.3.9

=== debian/changelog ===
graphite2 (1.3.9-3) unstable; urgency=medium

  * s/asciidoc, dblatex/asciidoc-dblatex/ in Build-Depends-Indep
    (closes: #850995)

 -- Rene Engelhard <rene@debian.org>  Wed, 11 Jan 2017 21:33:49 +0100

graphite2 (1.3.9-2) unstable; urgency=medium

  * [30ae987] disable awami tests, rounding errors (suggested by upstream)

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Nov 2016 13:51:29 +0100

graphite2 (1.3.9-1) unstable; urgency=medium

  * [5ca6f6e] Imported Upstream version 1.3.9

 -- Rene Engelhard <rene@debian.org>  Mon, 14 Nov 2016 19:24:32 +0100
